.main-map {
  padding-top: 40px;
}

.main-map__holder {
  position: relative;
  display: flex;
  justify-content: flex-end;
}

.main-map__map {
  border-radius: 30px 30px 30px 0px;
  width: 850px;
  height: 640px;
  overflow: hidden;
}

.main-map__map iframe {
  width: 100%;
  height: 100%;
}

.main-map__block {
  background-color: #002f6a;
  color: #ffffff;
}

.main-map__block .select-wrapper:first-child {
  margin-bottom: 50px;
}

.main-map__block .small-text {
  color: #5888bf;
  font-size: 14px;
  font-weight: 400;
  margin-top: 8px;
}

.main-map__tabs {
  margin-bottom: 25px;
}

.main-map__tabs .tabs-holder {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin-top: 12px;
}

.main-map__tabs .tab input[type=radio] {
  display: none;
}

.main-map__tabs .tab input[type=radio] + label {
  cursor: pointer;
  display: block;
  border-radius: 30px;
  border: 1px solid #5888bf;
  padding: 7px 8px;
  color: #ffffff;
  font-size: 12px;
  font-weight: 600;
  text-transform: uppercase;
  transition: background-color 0.3s ease-in-out, border-color 0.3s ease-in-out;
}

.main-map__tabs .tab input[type=radio] + label:hover {
  background-color: #009aa9;
  border-color: #009aa9;
}

.main-map__tabs .tab input[type=radio]:checked + label {
  background-color: #009aa9;
  border-color: #009aa9;
}

.main-map__block-bottom {
  display: flex;
  justify-content: space-between;
  margin-top: 35px;
}

.main-map__block-bottom .button {
  padding: 12px 80px;
}

.select2-dropdown {
  background: #335988;
  color: #fff;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
  background-color: #006589;
}

@media (min-width: 1200px) {
  .main-map .title-row {
    margin-left: 50px;
    margin-bottom: -80px;
  }

  .main-map__block {
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    border-radius: 30px 0 30px 30px;
    padding: 60px;
    width: 500px;
  }
}

@media (max-width: 1799px) {
  .main-map__map {
    width: 700px;
  }
}

@media (max-width: 1199px) {
  .main-map__holder {
    flex-direction: column;
  }

  .main-map__map {
    width: 100%;
    height: 520px;
    border-radius: 20px 20px 0px 0px;
  }

  .main-map__map {
    height: 250px;
  }

  .main-map__block {
    padding: 50px;
    border-radius: 0 0 20px 20px;
  }
}

@media (max-width: 767px) {
  .main-map__block {
    padding: 30px 25px;
  }

  .main-map__block-bottom .button {
    padding: 12px 50px;
  }
}

@media (max-width: 374px) {
  .main-map__block-bottom {
    flex-direction: column;
    gap: 20px;
  }
}

@media (min-width: 768px) and (max-width: 1199px) {
  .main-map__block .select-wrapper.commitment {
    grid-column: 2;
    grid-row: 1;
  }

  .main-map__block form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    -moz-column-gap: 30px;
    column-gap: 30px;
  }

  .main-map__tabs {
    grid-column: 1/2 span;
    margin-bottom: 0;
  }

  .main-map__block-bottom {
    grid-column: 1/2 span;
    margin-top: 50px;
  }
}